Index: ram/fpuint.s
===================================================================
--- ram/fpuint.s	(revision 4cfe69aa0cc00430379e3934cf85c7a661bf1769)
+++ ram/fpuint.s	(revision 33705959029dbbceb1afdc1d981c50443ba5a366)
@@ -5,32 +5,32 @@
 		.text
 
-		.xdef	_fpuint		| process an FPU interrupt
-		.xdef	_fpuclr		| reset the FPU
-		.xdef	_clrvce		| quiet a voice
-
-		.xdef	_fputrap	| a very good debug trap point
-
-		.xdef	_fp_resv	| 'spare' function reset value table
-		.xdef	_fpuifnc	| FPU interrupt code  (voice / function)
-
-		.xref	_irand		| ranged random number function
-		.xref	_scope		| diagnostic scope function
-		.xref	_xgetran	| random number function
-
-		.xref	_expbit
-		.xref	_funcndx
-		.xref	_initcfg
-		.xref	_ndisp
-		.xref	_pflist
-		.xref	_pfqhdr
-		.xref	_prstab
-		.xref	_ptoftab
-		.xref	_scopef
-		.xref	_timemlt
-		.xref	_trgtab
-		.xref	_valents
-		.xref	_vce2grp
-		.xref	_vce2trg
-		.xref	_veltab
+		.xdef	fpuint		| process an FPU interrupt
+		.xdef	fpuclr		| reset the FPU
+		.xdef	clrvce		| quiet a voice
+
+		.xdef	fputrap		| a very good debug trap point
+
+		.xdef	fp_resv		| 'spare' function reset value table
+		.xdef	fpuifnc		| FPU interrupt code  (voice / function)
+
+		.xref	irand		| ranged random number function
+		.xref	scope		| diagnostic scope function
+		.xref	xgetran		| random number function
+
+		.xref	expbit
+		.xref	funcndx
+		.xref	initcfg
+		.xref	ndisp
+		.xref	pflist
+		.xref	pfqhdr
+		.xref	prstab
+		.xref	ptoftab
+		.xref	scopef
+		.xref	timemlt
+		.xref	trgtab
+		.xref	valents
+		.xref	vce2grp
+		.xref	vce2trg
+		.xref	veltab
 
 		.page
@@ -194,5 +194,5 @@
 		.page
 | ------------------------------------------------------------------------------
-| _fpuint() -- process FPU interrupts
+| fpuint() -- process FPU interrupts
 
 |	void
@@ -204,20 +204,20 @@
 | ------------------------------------------------------------------------------
 
-_fpuint:	movem.l	d0-d5/a0-a3,-(a7)	| preserve registers we use
+fpuint:		movem.l	d0-d5/a0-a3,-(a7)	| preserve registers we use
 		move.w	FPUINT1,d0	| read FPU interrupt status
 		andi.w	#0x00FF,d0	| mask out garbage in MS bits
-		move.w	d0,_fpuifnc	| save for later use
-		move.w	_ndisp,d1	| get display number
+		move.w	d0,fpuifnc	| save for later use
+		move.w	ndisp,d1	| get display number
 		cmpi.w	#11,d1		| see if we display
 		bne	nodisp		| jump if not
 
-		tst.w	_scopef		| ...
+		tst.w	scopef		| ...
 		beq	nodisp		| ...
 
 		move.w	d0,-(a7)	| display value
-		jsr	_scope		| ...
+		jsr	scope		| ...
 		tst.w	(a7)+		| ...
 
-		move.w	_fpuifnc,d0	| get FPU status
+		move.w	fpuifnc,d0	| get FPU status
 
 nodisp:		move.w	d0,d1		| save in d1  (becomes function offset)
@@ -227,5 +227,5 @@
 
 		lsl.w	#3,d0		| develop funcndx[] index
-		lea	_funcndx,a0	| setup funcndx[] base address
+		lea	funcndx,a0	| setup funcndx[] base address
 
 		tst.l	0(a0,d0.W)	| see if function is defined
@@ -299,5 +299,5 @@
 | ------------------------------------------------------------------------------
 
-_fputrap:	jmp	(a0)		| dispatch to action handler
+fputrap:	jmp	(a0)		| dispatch to action handler
 
 		.page
@@ -320,5 +320,5 @@
 		move.w	d3,d0			| extract mantissa
 		andi.w	#MSK_MNT,d0		| ...
-		mulu	_timemlt,d0		| multiply by panel time pot value
+		mulu	timemlt,d0		| multiply by panel time pot value
 		lsr.l	#8,d0			| ... and scale it
 		lsr.l	#7,d0			| ...
@@ -326,5 +326,5 @@
 		andi.w	#MSK_EXP,d3		| extract exponent code
 		add.w	d3,d3			| look up decoded exponent
-		lea	_expbit,a0		| ... in expbit
+		lea	expbit,a0		| ... in expbit
 		move.w	0(a0,d3.W),F_EXP(a3,d1.W)	| send exponent to FPU
 		move.w	PT_VAL(a2,d2.W),d3	| get the function value
@@ -348,5 +348,5 @@
 		movem.l	d1-d2/a0-a2,-(a7)	| preserve registers around call
 		move.w	PT_VMLT(a2,d2.W),-(a7)	| pass multiplier to xgetran()
-		jsr	_xgetran		| call for a random number
+		jsr	xgetran			| call for a random number
 		tst.w	(a7)+			| clean up stack
 		movem.l	(a7)+,d1-d2/a0-a2	| restore registers
@@ -364,5 +364,5 @@
 		lsr.w	#6,d0		| shift to a word index
 		andi.w	#0x01FE,d0	| mask out extraneous bits
-		lea	_ptoftab,a0	| get entry from ptoftab[]
+		lea	ptoftab,a0	| get entry from ptoftab[]
 		move.w	0(a0,d0.W),d5	| ...
 		bra	applym		| go apply the multiplier
@@ -385,5 +385,5 @@
 		move.w	FH_TRG(a1),d0	| get the trigger number
 		add.w	d0,d0		| ... as a word index
-		lea	_veltab,a0	| ... into veltab[]
+		lea	veltab,a0	| ... into veltab[]
 		move.w	0(a0,d0.W),d5	| get the velocity from veltab[trg]
 		bra	applym		| go apply the multiplier
@@ -397,5 +397,5 @@
 		move.w	FH_TRG(a1),d0	| get the trigger number
 		add.w	d0,d0		| ... as a word index
-		lea	_prstab,a0	| ... into prstab[]
+		lea	prstab,a0	| ... into prstab[]
 		move.w	0(a0,d0.W),d5	| get the pressure from prstab[trg]
 		bra	applym		| go apply the multiplier
@@ -405,6 +405,6 @@
 | all other sources come out of the valents[] array
 | ------------------------------------------------------------------------------
-srctyp4:	lea	_vce2grp,a0	| point at vce2grp[]
-		move.w	_fpuifnc,d5	| get voice number in d5
+srctyp4:	lea	vce2grp,a0	| point at vce2grp[]
+		move.w	fpuifnc,d5	| get voice number in d5
 		lsr.w	#3,d5		| ...
 		andi.w	#0x001E,d5	| ... as a word index
@@ -417,5 +417,5 @@
 		lsl.w	#2,d0		| ...  via shift and add)
 		add.w	d5,d0		| ...
-		lea	_valents,a0	| get base of valents[]
+		lea	valents,a0	| get base of valents[]
 		move.w	VT_VAL(a0,d0.W),d5	| get value
 
@@ -556,8 +556,8 @@
 | act1 -- AC_SUST -- pause if key is down  (sustain)
 | ----    ------------------------------------------
-act1:		move.w	_fpuifnc,d0	| get voice as a word index
+act1:		move.w	fpuifnc,d0	| get voice as a word index
 		lsr.w	#3,d0		| ...
 		andi.w	#0x001E,d0	| ...
-		lea	_vce2trg,a0	| point at voice to trigger table
+		lea	vce2trg,a0	| point at voice to trigger table
 		move.w	0(a0,d0.W),d0	| get trigger table entry into d0
 		cmpi.w	#-1,d0		| see if voice is free
@@ -570,9 +570,9 @@
 		bne	act1a		| sustain if so
 
-		lea	_trgtab,a0	| point at trigger table
+		lea	trgtab,a0	| point at trigger table
 		tst.b	0(a0,d0.W)	| check trigger status
 		beq	act0		| continue function if not active
 
-act1a:		move.l	_pfqhdr,d3	| see if any pflist entries remain
+act1a:		move.l	pfqhdr,d3	| see if any pflist entries remain
 		beq	act0		| continue if not  (shouldn't happen!)
 
@@ -586,9 +586,9 @@
 		addi.w	#PT_LEN,d2		| advance the point index
 		movea.l	d3,a0			| acquire a new pflist entry
-		move.l	(a0),_pfqhdr		| ...
-		move.l	_pflist,(a0)		| chain it to pflist
-		move.l	a0,_pflist		| ...
+		move.l	(a0),pfqhdr		| ...
+		move.l	pflist,(a0)		| chain it to pflist
+		move.l	a0,pflist		| ...
 		move.w	FH_TRG(a1),PF_TRIG(a0)		| set trigger number in entry
-		move.w	_fpuifnc,PF_FUNC(a0)		| set v/p word in entry
+		move.w	fpuifnc,PF_FUNC(a0)		| set v/p word in entry
 		movem.l	d1-d2/d4/a1-a3,PF_D1(a0)	| set registers in entry
 		move.b	FH_TMD(a1),d0		| stop the function
@@ -606,8 +606,8 @@
 | act2 -- AC_ENBL -- stop if key is up
 | ----    ----------------------------
-act2:		move.w	_fpuifnc,d0	| get voice as a word index
+act2:		move.w	fpuifnc,d0	| get voice as a word index
 		lsr.w	#3,d0		| ...
 		andi.w	#0x001E,d0	| ...
-		lea	_vce2trg,a0	| check to see if voice is free
+		lea	vce2trg,a0	| check to see if voice is free
 		move.w	0(a0,d0.W),d0	| ...
 		cmpi.w	#-1,d0		| ...
@@ -620,5 +620,5 @@
 		bne	act0		| ...
 
-		lea	_trgtab,a0	| check trigger table entry
+		lea	trgtab,a0	| check trigger table entry
 		tst.b	0(a0,d0.W)	| ...
 		bne	act0		| if trigger is active, continue
@@ -656,5 +656,5 @@
 		movem.l	d1-d2/a0-a2,-(a7)	| get ranged random number
 		move.w	d0,-(a7)		| ...
-		jsr	_irand			| ...
+		jsr	irand			| ...
 		tst.w	(a7)+			| ...
 		movem.l	(a7)+,d1-d2/a0-a2	| ...
@@ -677,8 +677,8 @@
 | act5 -- AC_KYUP -- jump if key is up
 | ----    ----------------------------
-act5:		move.w	_fpuifnc,d0	| get voice as a word index
+act5:		move.w	fpuifnc,d0	| get voice as a word index
 		lsr.w	#3,d0		| ...
 		andi.w	#0x001E,d0	| ...
-		lea	_vce2trg,a0	| check to see if voice is free
+		lea	vce2trg,a0	| check to see if voice is free
 		move.w	0(a0,d0.W),d0	| ...
 		cmpi.w	#-1,d0		| ...
@@ -691,5 +691,5 @@
 		bne	act0		| ...
 
-		lea	_trgtab,a0	| check trigger table entry
+		lea	trgtab,a0	| check trigger table entry
 		tst.b	0(a0,d0.W)	| see if the trigger is active
 		beq	act3		| if not, do the jump
@@ -702,8 +702,8 @@
 | act6 -- AC_KYDN -- jump if key is down
 | ----    ------------------------------
-act6:		move.w	_fpuifnc,d0	| get voice as a word index
+act6:		move.w	fpuifnc,d0	| get voice as a word index
 		lsr.w	#3,d0		| ...
 		andi.w	#0x001E,d0	| ...
-		lea	_vce2trg,a0	| check to see if voice is free
+		lea	vce2trg,a0	| check to see if voice is free
 		move.w	0(a0,d0.W),d0	| ...
 		cmpi.w	#-1,d0		| ...
@@ -716,5 +716,5 @@
 		bne	act3		| ...
 
-		lea	_trgtab,a0	| check trigger table entry
+		lea	trgtab,a0	| check trigger table entry
 		tst.b	0(a0,d0.W)	| see if the trigger is active
 		bne	act3		| if so, do the jump
@@ -730,6 +730,6 @@
 | ------------------------------------------------------------------------------
 
-| _fpuclr -- clear the FPU
-| -------    -------------
+| fpuclr -- clear the FPU
+| ------    -------------
 
 |	void
@@ -740,10 +740,10 @@
 | ------------------------------------------------------------------------------
 
-_fpuclr:	link	a6,#0			| link stack frames
+fpuclr:		link	a6,#0			| link stack frames
 		move.w	sr,-(a7)		| save the interrupt level
 		ori.w	#0x0700,sr		| turn off interrupts
 
 		lea	FPUFUNC,a0		| point at the first function
-		lea	_fp_resv,a2		| point at reset value table
+		lea	fp_resv,a2		| point at reset value table
 		move.w	#11,d1			| set the outer loop count
 
@@ -854,6 +854,6 @@
 		.page
 
-| _clrvce -- quiet a voice
-| -------    -------------
+| clrvce -- quiet a voice
+| ------    -------------
 
 |	void
@@ -863,5 +863,5 @@
 |		Quiet the voice by resetting the FPU functions it uses.
 
-_clrvce:	link	a6,#0			| link stack frames
+clrvce:		link	a6,#0			| link stack frames
 		move.w	sr,-(a7)		| save the interrupt level
 		ori.w	#0x0700,sr		| turn off interrupts
@@ -964,6 +964,6 @@
 | ------------------------------------------------------------------------------
 
-_fp_resv:	.ds.w	12		| fpu spare function reset values
-_fpuifnc:	.ds.w	1		| interrupting function number from FPU
+fp_resv:	.ds.w	12		| fpu spare function reset values
+fpuifnc:	.ds.w	1		| interrupting function number from FPU
 
 		.end
